Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql.db2e
Class BoundString

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.db2e.BoundString

public class BoundString
extends Object

Field Summary
`String` | `str`

Constructor Summary
`BoundString(int maxStringSize)`
`BoundString(String str)`

Method Summary
`byte[]` | `getBuf()`
`int` | `getLength()`
`int` | `getMax()`
`void` | `setLength(int newLength)`
`void` | `setNewBuf(String str)` Return true if the buffer should be rebound.
`boolean` | `setValue(byte[] bstr)`
`boolean` | `setValue(byte[] bstr, int begin, int length)`
`boolean` | `setValue(String str)` Returns false if the string is too large to fit in current buffer.
`boolean` | `setValueCheck(byte[] bstr)`
`boolean` | `setValueCheck(byte[] bstr, int begin, int length)`
`boolean` | `setValueCheck(String str)`
`void` | `setValueTruncate(String str)`
`String` | `toString()` Returns the string representation of the object, that is full_class_name@internal_address_hex.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, wait, wait`

Field Detail

### str

    public String str

Constructor Detail

### BoundString

    public BoundString(int maxStringSize)

### BoundString

    public BoundString(String str)

Method Detail

### setValueTruncate

    public void setValueTruncate(String str)

### setValue

    public boolean setValue(String str)

  Returns false if the string is too large to fit in current buffer.

### setValueCheck

    public boolean setValueCheck(String str)

### setValue

    public boolean setValue(byte[] bstr)

### setValueCheck

    public boolean setValueCheck(byte[] bstr)

### setValue

    public boolean setValue(byte[] bstr,
                            int begin,
                            int length)

### setValueCheck

    public boolean setValueCheck(byte[] bstr,
                                 int begin,
                                 int length)

### setNewBuf

    public void setNewBuf(String str)

  Return true if the buffer should be rebound.

### getBuf

    public byte[] getBuf()

### getMax

    public int getMax()

### getLength

    public int getLength()

### setLength

    public void setLength(int newLength)

### toString

    public String toString()

  Description copied from class: Object
  Returns the string representation of the object, that is full_class_name@internal_address_hex. Note that, differently from JDK, the package separator is / instead of .
  Overrides:
    toString in class Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD